EC_DICT_SET(3)

NAME
ec_dict_set - Add/replace an object in the hash table.

SYNOPSIS
#include <ecoli/dict.h>

int ec_dict_set(
    struct ec_dict     *dict,     /* The hash table. */
    const char         *key,      /* The key string. Must not be NULL. */
    void               *val,      /* The pointer to be saved in the hash table. */
    /*
     * An optional pointer to a destructor function called when an object is
     * destroyed (ec_dict_del() or ec_dict_free()).
     */
    ec_dict_elt_free_t  free_cb
);

RETURN VALUE

0 on success, or -1 on error (errno is set). On error, the passed value is freed (free_cb(val) is called).

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.